petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatNestGetSubMat

Returns a single, sub-matrix from a nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSubMat(Mat A,PetscInt idxm,PetscInt jdxm,Mat *sub)

Not collective Many br

### Input Parameters

| A | - nest matrix Many br
| idxm | - index of the matrix within the nest matrix Many br
| jdxm | - index of the matrix within the nest matrix Many br

### Output Parameter

sub -matrix at index idxm,jdxm within the nest matrix Many br

Many br

### See Also

MatNestGetSize(), MatNestGetSubMats()

Level:developer
Location:src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages